Open CASCADE Technology: XmlObjMgt_Persistent Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
XmlObjMgt_Persistent Class Reference

root for XML-persistence More...

`#include <XmlObjMgt_Persistent.hxx>`

## Public Member Functions
| XmlObjMgt_Persistent ()
| empty constructor More...
| XmlObjMgt_Persistent (const XmlObjMgt_Element &theElement)
| constructor More...
| XmlObjMgt_Persistent (const XmlObjMgt_Element &theElement, const XmlObjMgt_DOMString &theRef)
| constructor from sub-element of Element referenced by theRef More...
void | CreateElement (XmlObjMgt_Element &theParent, const XmlObjMgt_DOMString &theType, const Standard_Integer theID)
| myElement := <theType id="theID"> More...
void | SetId (const Standard_Integer theId)
const XmlObjMgt_Element & | Element () const
| return myElement More...
| operator const XmlObjMgt_Element & () const
XmlObjMgt_Element & | Element ()
| return myElement More...
| operator XmlObjMgt_Element & ()
Standard_Integer | Id () const

## Detailed Description

root for XML-persistence

## Constructor & Destructor Documentation

XmlObjMgt_Persistent::XmlObjMgt_Persistent | ( |  | ) |

empty constructor

XmlObjMgt_Persistent::XmlObjMgt_Persistent | ( | const XmlObjMgt_Element & | theElement | ) |

constructor

XmlObjMgt_Persistent::XmlObjMgt_Persistent | ( | const XmlObjMgt_Element & | theElement,
|  | const XmlObjMgt_DOMString & | theRef
| ) |  |

constructor from sub-element of Element referenced by theRef

## Member Function Documentation

void XmlObjMgt_Persistent::CreateElement | ( | XmlObjMgt_Element & | theParent,
|  | const XmlObjMgt_DOMString & | theType,
|  | const Standard_Integer | theID
| ) |  |

myElement := <theType id="theID">

const XmlObjMgt_Element& XmlObjMgt_Persistent::Element | ( |  | ) | const

return myElement

XmlObjMgt_Element& XmlObjMgt_Persistent::Element | ( |  | ) |

return myElement

Standard_Integer XmlObjMgt_Persistent::Id | ( |  | ) | const

XmlObjMgt_Persistent::operator const XmlObjMgt_Element & | ( |  | ) | const
| inline

XmlObjMgt_Persistent::operator XmlObjMgt_Element & | ( |  | ) |
| inline

void XmlObjMgt_Persistent::SetId | ( | const Standard_Integer | theId | ) |

The documentation for this class was generated from the following file:

- XmlObjMgt_Persistent.hxx